<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bullmq](./bullmq.md) &gt; [QueueEventsListener](./bullmq.queueeventslistener.md)

## QueueEventsListener interface

<b>Signature:</b>

```typescript
export interface QueueEventsListener 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  ["retries-exhausted"](./bullmq.queueeventslistener._retries-exhausted_.md) | (args: { jobId: string; attemptsMade: string; }, id: string) =&gt; void | Listen to 'retries-exhausted' event.<!-- -->This event is triggered when a job has retried the maximum attempts. |
|  ["waiting-children"](./bullmq.queueeventslistener._waiting-children_.md) | (args: { jobId: string; }, id: string) =&gt; void | Listen to 'waiting-children' event.<!-- -->This event is triggered when a job enters the 'waiting-children' state. |
|  [active](./bullmq.queueeventslistener.active.md) | (args: { jobId: string; prev?: string; }, id: string) =&gt; void | Listen to 'active' event.<!-- -->This event is triggered when a job enters the 'active' state. |
|  [added](./bullmq.queueeventslistener.added.md) | (args: { jobId: string; name: string; data: string; opts: string; }, id: string) =&gt; void | Listen to 'added' event.<!-- -->This event is triggered when a job is created. |
|  [cleaned](./bullmq.queueeventslistener.cleaned.md) | (args: { count: string; }, id: string) =&gt; void | Listen to 'cleaned' event.<!-- -->This event is triggered when a cleaned method is triggered. |
|  [completed](./bullmq.queueeventslistener.completed.md) | (args: { jobId: string; returnvalue: string; prev?: string; }, id: string) =&gt; void | Listen to 'completed' event.<!-- -->This event is triggered when a job has successfully completed. |
|  [delayed](./bullmq.queueeventslistener.delayed.md) | (args: { jobId: string; delay: number; }, id: string) =&gt; void | Listen to 'delayed' event.<!-- -->This event is triggered when a job is delayed. |
|  [drained](./bullmq.queueeventslistener.drained.md) | (id: string) =&gt; void | Listen to 'drained' event.<!-- -->This event is triggered when the queue has drained the waiting list. Note that there could still be delayed jobs waiting their timers to expire and this event will still be triggered as long as the waiting list has emptied. |
|  [error](./bullmq.queueeventslistener.error.md) | (args: Error) =&gt; void | Listen to 'error' event.<!-- -->This event is triggered when an exception is thrown. |
|  [failed](./bullmq.queueeventslistener.failed.md) | (args: { jobId: string; failedReason: string; prev?: string; }, id: string) =&gt; void | Listen to 'failed' event.<!-- -->This event is triggered when a job has thrown an exception. |
|  [paused](./bullmq.queueeventslistener.paused.md) | (args: {}, id: string) =&gt; void | Listen to 'paused' event.<!-- -->This event is triggered when a queue is paused. |
|  [progress](./bullmq.queueeventslistener.progress.md) | (args: { jobId: string; data: number \| object; }, id: string) =&gt; void | Listen to 'progress' event.<!-- -->This event is triggered when a job updates it progress, i.e. the Job\#\#updateProgress() method is called. This is useful to notify progress or any other data from within a processor to the rest of the world. |
|  [removed](./bullmq.queueeventslistener.removed.md) | (args: { jobId: string; }, id: string) =&gt; void | Listen to 'removed' event.<!-- -->This event is triggered when a job has been manually removed from the queue. |
|  [resumed](./bullmq.queueeventslistener.resumed.md) | (args: {}, id: string) =&gt; void | Listen to 'resumed' event.<!-- -->This event is triggered when a queue is resumed. |
|  [stalled](./bullmq.queueeventslistener.stalled.md) | (args: { jobId: string; }, id: string) =&gt; void | Listen to 'stalled' event.<!-- -->This event is triggered when a job has been moved from 'active' back to 'waiting'/'failed' due to the processor not being able to renew the lock on the said job. |
|  [waiting](./bullmq.queueeventslistener.waiting.md) | (args: { jobId: string; }, id: string) =&gt; void | Listen to 'waiting' event.<!-- -->This event is triggered when a job enters the 'waiting' state. |

